Subject: Re: [PATCH v2 3/6] pack-bitmap-write: learn pack.writeBitmapLookupTable and add tests

From: Taylor Blau <[email-masked]>
Date: Wed, 29 Jun 2022 16:11:52 -0400

On Tue, Jun 28, 2022 at 12:09:23AM +0530, Abhradeep Chakraborty wrote:
> Taylor Blau <[email-masked]> wrote:
>
> > Probably both of them should take into account their separate
> > configuration values, but cleaning up the hashcache one can be done
> > separately outside of this series.
>
> Actually, it does respect the `pack.writebitmaplookuptable` config.
> As pack.writebitmaplookuptable is by default true (for this patch
> Series), this line enables it by default. If `pack.writebitmaplookuptable`
> Set to false, the proposed change in the `git_multi_pack_index_write_config`
> function disables this flag.

Aha, you're absolutely right. I missed the earlier hunk. Thanks for
pointing it out, this part looks fine to me.

Thanks,
Taylor